/*
 * Copyright 2017-2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef INC_NVMEM_H_
#define INC_NVMEM_H_

#include <stdbool.h>

#if defined(__cplusplus)
extern "C" {
#elif 0
}
#endif

/* This defines how to store a block of memory, but doesn't
 * define what is to be stored. That can be defined separately.
 */
typedef struct nvmem_s NVMem __attribute__ ((aligned (4)));

extern NVMem *NVMem_init(void);
extern bool NVMem_commit(void);

#if defined(__cplusplus)
}
#endif

#endif /* INC_NVMEM_H_ */
